%global commit e796cfc7bbdeccc66e327dbc2a5ba8141cf7bca5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitbranch v1ssd
%global commitdate 20240826

Name:           magpie-wlr
Version:        1.0~git%{commitdate}%{?commitbranch:~%{commitbranch}}.%{shortcommit}
Release:        1%{?dist}
Summary:        Stacking window compositor built on wlroots

License:        Apache-2.0
URL:            https://github.com/BuddiesOfBudgie/magpie
Source0:        %{url}/archive/%{commit}/magpie-%{commit}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  pixman-devel
BuildRequires:  pkgconfig(argparse)
BuildRequires:  pkgconfig(hwdata)
BuildRequires:  pkgconfig(libdisplay-info)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libliftoff)
BuildRequires:  pkgconfig(libseat)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wlroots-0.18)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xwayland)
Requires:       xorg-x11-server-Xwayland

%description
%{summary}.

%prep
%autosetup -n magpie-%{commit} -p1


%build
%meson
%meson_build


%install
%meson_install


%files
%license LICENSE.txt
%doc README.md
%{_bindir}/magpie-wm
%{_datadir}/applications/org.buddiesofbudgie.MagpieWm.desktop

%changelog
* Sat Oct 19 2024 Neal Gompa <neal@gompa.dev> - 1.0~git20240826~v1ssd.e796cfc-1
- Bump to new git snapshot

* Sat Jul 06 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.0~git20240705.3eb92de-1
- Bump to new git snapshot

* Tue Jun 04 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.0~git20240603.9af5081-1
- Bump to new git snapshot

* Sun Apr 14 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.0~git20240413.f0fcf8e-1
- Bump to new git snapshot

* Sat Mar 23 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.0~git20240310.3f14a19-1
- Bump to new git snapshot

* Sun Jan 21 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.0~git20240121.13really1.0126.d05681e-1
- Bump to new git snapshot
- Add patch to fix build for GCC 14

* Sun Jan 21 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.0~git20240121.1212.5142055-1
- Bump to new git snapshot

* Sat Dec 09 2023 Neal Gompa <ngompa@fedoraproject.org> - 1.0~git20231126.e106dfe-1
- Initial packaging
